Last Comment Bug 695968 - valgrind: Conditional jump or move depends on uninitialised value(s) in nsLookAndFeel::NativeGetColor
: valgrind: Conditional jump or move depends on uninitialised value(s) in nsLoo...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Widget (show other bugs)
: Trunk
: x86_64 Mac OS X
: -- normal (vote)
: mozilla10
Assigned To: Josh Aas
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-19 20:41 PDT by Josh Aas
Modified: 2011-10-21 02:11 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix v1.0 (716 bytes, patch)
2011-10-19 20:41 PDT, Josh Aas
roc: review+
Details | Diff | Review

Description Josh Aas 2011-10-19 20:41:40 PDT
Created attachment 568288 [details] [diff] [review]
fix v1.0

==29775== Conditional jump or move depends on uninitialised value(s)
==29775==    at 0x10867A2AF: nsLookAndFeel::NativeGetColor(mozilla::LookAndFeel::ColorID, unsigned int&) (nsLookAndFeel.mm:110)
==29775==    by 0x1086AB63C: nsXPLookAndFeel::GetColorImpl(mozilla::LookAndFeel::ColorID, unsigned int&) (nsXPLookAndFeel.cpp:632)
==29775==    by 0x1086ABDCA: mozilla::LookAndFeel::GetColor(mozilla::LookAndFeel::ColorID, unsigned int*) (nsXPLookAndFeel.cpp:722)
==29775==    by 0x10754F5E1: mozilla::LookAndFeel::GetColor(mozilla::LookAndFeel::ColorID, unsigned int) (LookAndFeel.h:461)
==29775==    by 0x107653AEB: nsTextPaintStyle::InitSelectionColors() (nsTextFrameThebes.cpp:3448)
==29775==    by 0x107653BD2: nsTextPaintStyle::GetSelectionColors(unsigned int*, unsigned int*) (nsTextFrameThebes.cpp:3260)
==29775==    by 0x107653D43: GetSelectionTextColors(short, nsTextPaintStyle&, nsTextRangeStyle const&, unsigned int*, unsigned int*) (nsTextFrameThebes.cpp:4634)
==29775==    by 0x107657BF1: nsTextFrame::PaintTextWithSelectionColors(gfxContext*, gfxPoint const&, gfxPoint const&, gfxRect const&, PropertyProvider&, unsigned int, unsigned int, nsTextPaintStyle&, SelectionDetails*, short*, nsCharClipDisplayItem::ClipEdges const&) (nsTextFrameThebes.cpp:4896)
==29775==    by 0x1076583BE: nsTextFrame::PaintTextWithSelection(gfxContext*, gfxPoint const&, gfxPoint const&, gfxRect const&, PropertyProvider&, unsigned int, unsigned int, nsTextPaintStyle&, nsCharClipDisplayItem::ClipEdges const&) (nsTextFrameThebes.cpp:5081)
==29775==    by 0x107660BDA: nsTextFrame::PaintText(nsRenderingContext*, nsPoint, nsRect const&, nsCharClipDisplayItem const&) (nsTextFrameThebes.cpp:5309)
==29775==    by 0x107660E9B: nsDisplayText::Paint(nsDisplayListBuilder*, nsRenderingContext*) (nsTextFrameThebes.cpp:4177)
==29775==    by 0x1074BBB2E: mozilla::FrameLayerBuilder::DrawThebesLayer(mozilla::layers::ThebesLayer*, gfxContext*, nsIntRegion const&, nsIntRegion const&, void*) (FrameLayerBuilder.cpp:2109)
Comment 1 Josh Aas 2011-10-20 07:51:38 PDT
pushed to mozilla-inbound

http://hg.mozilla.org/integration/mozilla-inbound/rev/f0a6064f5fc1
Comment 2 Marco Bonardo [::mak] 2011-10-21 02:11:44 PDT
https://hg.mozilla.org/mozilla-central/rev/f0a6064f5fc1

Note You need to log in before you can comment on or make changes to this bug.